DWARF_GET_ABBREV_TAG(3)

NAME
dwarf_get_abbrev_tag - retrieve the tag for an abbreviation

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
int
dwarf_get_abbrev_tag(Dwarf_Abbrev abbrev, Dwarf_Half *ret, Dwarf_Error *err);

DESCRIPTION
Function dwarf_get_abbrev_tag() retrieves the tag for the abbreviation entry descriptor referenced by argument abbrev.

Argument ret should point to a location which will hold the returned abbreviation tag.

If argument err is not NULL, it will be used to store error information in case of an error.

RETURN VALUES
Function dwarf_get_abbrev_tag() returns DW_DLV_OK when it succeeds. In case of an error, it returns DW_DLV_ERROR and sets the argument err.

ERRORS
Function dwarf_get_abbrev_tag() can fail with:

[DW_DLE_ARGUMENT]
    Either of arguments abbrev or ret was NULL.

SEE ALSO
dwarf(3), dwarf_get_abbrev(3), dwarf_get_abbrev_code(3), dwarf_get_abbrev_children_flag(3), dwarf_get_abbrev_entry(3)